PETSc version 3.15.5
Fix/Edit manual page

# TSAdaptLoad

Loads a TSAdapt that has been stored in binary with TSAdaptView().

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAdaptLoad(TSAdapt adapt,PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| newdm | - the newly loaded TSAdapt, this needs to have been created with TSAdaptCreate() or some related function before a call to TSAdaptLoad().
| viewer | - binary file viewer, obtained from PetscViewerBinaryOpen() or HDF5 file viewer, obtained from PetscViewerHDF5Open()

### Notes

The type is determined by the data in the file, any type set into the TSAdapt before this call is ignored.

### Notes for advanced users

Most users should not need to know the details of the binary storage format, since TSAdaptLoad() and TSAdaptView() completely hide these details. But for anyone who's interested, the standard binary matrix storage format is

         has not yet been determined

### See Also

PetscViewerBinaryOpen(), TSAdaptView(), MatLoad(), VecLoad()

### Level

intermediate

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages